Skip to main content
PUT
/
trust-centers
/
{slugId}
/
data-collected
Set Trust Center data collected
curl --request PUT \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/data-collected \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataCollected": [
    {
      "dataCollected": "<string>"
    }
  ],
  "dataCollectedHeading": "<string>"
}
'
{
  "results": [
    {
      "dataCollected": "Email Address",
      "status": "COLLECTED"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required

Body

application/json
dataCollected
object[]
required

List of data-collected disclosures to set on the Trust Center.

dataCollectedHeading
string | null

Custom heading for the data collected section. If null is passed in, unsets the current heading.

Response

200 - application/json

Ok

results
object[]
required